package com.ruoyi.erp.request;

import com.alibaba.fastjson2.JSONObject;

/**
 * 查询订单详情请求
 *
 * 对应接口：POST /api/open/order/detail
 */
public class OrderDetailQueryRequest extends ERPRequestBase {
	public OrderDetailQueryRequest(IERPAccount erpAccount) {
		super("https://open.goofish.pro/api/open/order/detail", erpAccount);
	}

	public void setOrderNo(String orderNo) {
		ensureBody();
		this.requestBody.put("order_no", orderNo);
	}

	private void ensureBody() { if (this.requestBody == null) this.requestBody = new JSONObject(); }
}


